UdpMessageAdapter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.udp.UdpMessageAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.udp
Class UdpMessageAdapter

    java.lang.Object
      org.mule.transport.AbstractMessageAdapter
          org.mule.transport.udp.UdpMessageAdapter

All Implemented Interfaces:
  Serializable, ThreadSafeAccess, MessageAdapter

Direct Known Subclasses:
  MulticastMessageAdapter

    public class UdpMessageAdapter

extends AbstractMessageAdapter

`UdpMessageAdapter`

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.mule.api.ThreadSafeAccess
`ThreadSafeAccess.AccessControl`

Field Summary
`static String` | `ADDRESS_PROPERTY`
`static String` | `PORT_PROPERTY`

Fields inherited from class org.mule.transport.AbstractMessageAdapter
`attachments, exceptionPayload, id, logger, properties`

Fields inherited from interface org.mule.api.ThreadSafeAccess
`READ, WRITE`

Constructor Summary
`` | `UdpMessageAdapter(Object message)`
`protected` | `UdpMessageAdapter(UdpMessageAdapter template)`

Method Summary
`Object` | `getPayload()`
`byte[]` | `getPayloadAsBytes()`
`String` | `getPayloadAsString(String encoding)` Converts the message implementation into a String representation
`ThreadSafeAccess` | `newThreadCopy()`

Methods inherited from class org.mule.transport.AbstractMessageAdapter
`addAttachment, addInboundProperties, addProperties, addProperties, assertAccess, clearProperties, getAttachment, getAttachmentNames, getBooleanProperty, getCorrelationGroupSize, getCorrelationId, getCorrelationSequence, getDoubleProperty, getEncoding, getExceptionPayload, getIntProperty, getLongProperty, getProperty, getProperty, getProperty, getPropertyNames, getPropertyNames, getReplyTo, getStringProperty, getUniqueId, isDisabled, newException, release, removeAttachment, removeProperty, resetAccessControl, setBooleanProperty, setCorrelationGroupSize, setCorrelationId, setCorrelationSequence, setDoubleProperty, setEncoding, setExceptionPayload, setIntProperty, setLongProperty, setProperty, setProperty, setReplyTo, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADDRESS_PROPERTY

    public static final String ADDRESS_PROPERTY

See Also:
  Constant Field Values

### PORT_PROPERTY

    public static final String PORT_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### UdpMessageAdapter

    public UdpMessageAdapter(Object message)
                      throws MessageTypeNotSupportedException

Throws:
  `MessageTypeNotSupportedException`

### UdpMessageAdapter

    protected UdpMessageAdapter(UdpMessageAdapter template)

Method Detail

### getPayloadAsString

    public String getPayloadAsString(String encoding)
                              throws Exception

  Converts the message implementation into a String representation

  Parameters:
    `encoding` - The encoding to use when transforming the message (if necessary). The parameter is used when converting from a byte array
  Returns:
    String representation of the message payload
  Throws:
    `Exception` - Implementation may throw an endpoint specific exception

### getPayloadAsBytes

    public byte[] getPayloadAsBytes()
                             throws Exception

  Throws:
    `Exception`

### getPayload

    public Object getPayload()

  Returns:
    the current message

### newThreadCopy

    public ThreadSafeAccess newThreadCopy()

  Description copied from class: `AbstractMessageAdapter`

  Specified by:
    `newThreadCopy` in interface `ThreadSafeAccess`
  Overrides:
    `newThreadCopy` in class `AbstractMessageAdapter`
  Returns:
    A new instance of the implementing class, unbound to any thread and mutable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.